Added a tool to monitor health of the STC warden lab setup.

Change-Id: Ic5cd59bb9db39acaa08c67bdc47814e1a5722471
diff --git a/tools/test/bin/stc-warden b/tools/test/bin/stc-warden
new file mode 100755
index 0000000..20baff2
--- /dev/null
+++ b/tools/test/bin/stc-warden
@@ -0,0 +1,17 @@
+#!/bin/bash
+#-------------------------------------------------------------------------------
+# Utility to view status of the cell warden and cell slaves
+#-------------------------------------------------------------------------------
+
+echo "========================================================"
+status=$(ssh sdn@$CELL_WARDEN ps -ef | grep warden | grep -v grep)
+let ok=$?
+[ $ok -eq 0 ] && echo "Warden is running" || echo "Warden is stopped"
+echo $status
+for slave in $CELL_SLAVES; do
+    echo "========================================================"
+    echo "$slave:"
+    ssh sdn@$slave sudo lxc-ls --fancy
+    let ok=ok+$?
+done
+exit $ok